#include <bits/stdc++.h>
using namespace std;

int main(){
	string s;
	cin >> s;
	
	long long n = s.size();
	
	for(int i=n-1; i>=0; i--){
		if(s[i] != '0'){
			if(s[i] == '5'){
				s[i] = '2';
			}
			else if(s[i] == '2'){
				s[i] = '5';
			}
			cout << s[i];
		}
	}
}
